# 开发
server:
  port: 8182
  tomcat:
    uri-encoding: UTF-8
    #    最长等待时间120秒
    connection-timeout: 120000
    accesslog:
      enabled: true
      prefix: access_log_dit_
      directory: /data/tomcat/jar/dit/logs
      max-days: 1
      request-attributes-enabled: true
mybatis:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
spring:
  datasource:
    druid:
      driver-class-name: com.mysql.cj.jdbc.Driver
      # 测试环境
      url: jdbc:mysql://rm-bp13lsu19x99h662c.mysql.rds.aliyuncs.com:3306/dataLoader?useUnicode=true&characterEncoding=utf8&allowMultiQueries=true
      username: kingkong
      password: KingkONG20210819$Bb
      #最大连接池数量
      max-active: 16
      #最小连接数
      min-idle: 8
      #初始化连接大小
      initial-size: 8
      #闭超过30分钟的空闲连接，1800秒，也就是30分钟
      remove-abandoned-timeout-millis: 1800000
      #获取连接最大等待时间
      max-wait: 60000
      #配置一个连接在池中最小生存的时间7小时，单位是毫秒
      min-evictable-idle-time-millis: 25200000
      # 设置从连接池获取连接时是否检查连接有效性，true检查，false不检查
      testOnBorrow: true
      # 设置从连接池归还连接时是否检查连接有效性，true检查，false不检查
      testOnReturn: true
      # 可以支持PSCache（提升写入、查询效率）
      poolPreparedStatements: true
      validation-query: select 1
      type: com.alibaba.druid.pool.DruidDataSource
      time-between-connect-error-millis: 600000
      filters: stat,slf4j
      # 自己配置监控统计拦截的filter
      filter:
        # 开启 druidDatasource 的状态监控
        stat:
          enabled: true
          db-type: mysql
          # 开启慢sql监控，超过3s 就认为是慢sql，记录到日志中
          log-slow-sql: true
          slow-sql-millis: 10
        # 日志监控，使用slf4j 进行日志输出
        slf4j:
          enabled: true
          statement-log-error-enabled: true
          statement-create-after-log-enabled: false
          statement-close-after-log-enabled: false
          result-set-open-after-log-enabled: false
          result-set-close-after-log-enabled: false
      stat-view-servlet:
        enabled: true
        login-username: pekon
        login-password: 0018$0018bB
        allow: ""
        deny: ""
  redis:
    database: 6
    # Redis服务器地址
    host: r-bp1t88u2ssy5uiwb1s.redis.rds.aliyuncs.com
    # redis 端口
    port: 6379
    # redis密码
    password: Redis$08#19
    # 连接超时时间（毫秒)
    timeout: 50000

# 域名
data360:
  domain: http://10.20.22.173:8182

template:
  metadata:
    # 可供回调的模板id集
    callBackTemplateId: 367,368,369,370

#业务数据库名称
business.database.name: loreal-dit

#磁盘路径
disk.path: /data/tomcat/jar/dit/resources

#主机信息
domain.name: http://10.20.22.173:8182
js.address: https://lwchatbox-test.haoduoke.cn/front-files/data-loader/statics/bundle.js
